<?php

namespace EventPortal\Http\Controllers\Delegate;

use EventPortal\Domain\Delegate\DelegateDashboard;
use EventPortal\Domain\Util\DelegateRender;
use Inertia\Response;

class DashboardController
{
    public function __invoke(): Response
    {
        $user = auth()->user();
        $data = DelegateDashboard::make($user->delegate)->get();

        return DelegateRender::component('Delegate/Dashboard/Index')
            ->withData($data)
            ->withTitle("Hi {$user->full_name}!")
            ->get();
    }
}
